Page MenuHomePhabricator

[Story] Display the Article Placeholder
Closed, ResolvedPublic

Description

Generate the content for the Article placeholder.
If the user gets to a Article Placeholder, generated from an Item, there are two ways of displaying the item's data:

  • as a default content page, which isn't editable
    • needs to be clearly marked as placeholder
    • will show all statements
    • the references should be shown, except "imported from" (doesn't make much sense in this case)
  • as a extended version, that is editable
    • editing of the layout
    • editing of the data

We should probably first look into the default version and from there start with an editable version.

Related Objects

StatusAssignedTask
Resolvedthiemowmde
DeclinedNone
InvalidLydia_Pintscher
ResolvedLucie
ResolvedLucie
ResolvedLucie
DuplicateLucie
ResolvedLucie
DuplicateLucie
DeclinedLucie
InvalidLucie
ResolvedLucie
ResolvedLucie
DuplicateLucie
ResolvedLucie
OpenNone
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
Resolvedhoo
ResolvedTobi_WMDE_SW
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolvedaude
Resolveddaniel
Resolveddaniel
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
OpenNone
Resolvedthiemowmde
Resolved Jonas
ResolvedAklapper
OpenLydia_Pintscher
ResolvedLucie
OpenLucie

Event Timeline

Lucie created this task.Aug 18 2015, 2:58 PM
Lucie claimed this task.
Lucie raised the priority of this task from to Normal.
Lucie updated the task description. (Show Details)
Lucie added a subscriber: Lucie.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 18 2015, 2:58 PM

What about displaying it like reasonator? This make placeholder more like an article.

We specifically do not want it to look like an article.

Nemo_bis updated the task description. (Show Details)Sep 6 2015, 6:36 AM
Nemo_bis set Security to None.

I don't understand what are "data" and "layout" in the "editable" version, but that's not the point: customisation of the assembled thing should be possible somewhere (e.g. a local MediaWiki namespace page with some understandable interface) and Wikidata editing should have clear venues of access (like the usual sidebar link and edit links?), but the question is how one proceeds to article creation if desired. T109451 should be addressed in the "basic" version.

Lucie closed this task as Resolved.Aug 30 2016, 1:37 PM
Lucie moved this task from Broader tickets to Done on the ArticlePlaceholder board.